> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/dex-exchange/exchangetransaction.md).

# ExchangeTransaction

Participate the transaction of exchange pair.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `owner_address` - String - Trader's wallet address, in hex string format. This wallet contains the tokens you wish to sell, in order to gain the other token
* `exchange_id` - int32 - Transaction Pair ID
* `token_id` - String - ID of the sold token, in hexString format. For example, if you wanted to trade TRX for another token, then the TRX id of "5f" goes in this parameter
* `quant` - int32 - Quantity of the token being sold. If TRX is being sold, need to express in units of SUN
* `expected` - int32 - Expected quantity of the token being purchased
* `permission_id` - int32 - Optional, for multi-signature use
* `visible` - boolean - Optional. Specifies whether the address is in Base58 format (default: false)

## **Returns**

Transaction object - JSON object: Unsigned transaction, please refer to the [Transaction](https://developers.tron.network/docs/tron-protocol-transaction) chapter for the fields contained in it. Since the transaction type is `ExchangeWithdrawContract`, the fields contained in `raw_data.contract[0].parameter.value` in the transaction are as follows:

| Field          | Type   | Description                          |
| -------------- | ------ | ------------------------------------ |
| owner\_address | string | Account address                      |
| exchange\_id   | int64  | Exchange id                          |
| token\_id      | string | The id of the token to be withdrawn  |
| quant          | int64  | The amount of tokens to be withdrawn |

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/exchangetransaction \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "owner_address": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "exchange_id": 12,
  "token_id": "31303030343837",
  "quant": 100,
  "expected": 10,
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/dex-exchange/exchangetransaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
